Subject: Re: [PATCH 2/2] lockdep: check that no locks held at freeze time

From: Tejun Heo <[email-masked]>
Date: Mon, 6 May 2013 12:33:07 -0700

Hello,

On Mon, May 06, 2013 at 12:30:19PM -0700, Colin Cross wrote:
> > I don't care about %current change, especially given that it's a debug
> > interface but that really should be a separate patch, so please split
> > it out if you want it (and I think we want it).
> 
> The current change was requested by akpm and was part of the original
> patch.  Is it really worth confusing the history of this patch even
> more, applying it the first time, reverting it, and then applying it
> again in two parts?

I don't know.  The patch seems confusing to me.  It really is about
adding single lockdep annotation but comes with other changes.  I
don't think it's a big deal either way but at least we wouldn't be
having this %current vs. @tsk conversation which is mostly irrelevant
to the actual proposed change, right?  It really should have been a
separate patch from the beginning.  Just refer to the original commit
and explain what happened?

Thanks.

-- 
tejun